> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Delete a Custom Emoji > Delete a custom emoji. Permission required: `manage-emoji` ### Changelog | Version | Description | | ---------------- | ------------| |0.74.0 | Added | ## OpenAPI ````json POST /api/v1/emoji-custom.delete { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Content Management" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Assets" }, { "name": "Custom Emoji" }, { "name": "Custom Sounds" }, { "name": "Custom User Status" } ], "paths": { "/api/v1/emoji-custom.delete": { "post": { "tags": [ "Custom Emoji" ], "summary": "Delete a Custom Emoji", "description": "Delete a custom emoji. Permission required: `manage-emoji`\n\n### Changelog\n| Version | Description | \n| ---------------- | ------------|\n|0.74.0 | Added |", "operationId": "post-api-v1-emoji-custom.delete", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" } ], "requestBody": { "content": { "application/json": { "schema": { "type": "object", "required": [ "emojiId" ], "properties": { "emojiId": { "type": "string", "description": "Enter the emoji ID to delete." } } }, "examples": { "Example": { "value": { "emojiId": "6542e83aa2f73c7460e18efb" } } } } } }, "responses": { "200": { "$ref": "#/components/responses/trueSuccess" }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Example 1": { "value": { "success": "false", "error": "The \"emojiId\" params is required!" } }, "Example 2": { "value": { "success": "false", "error": "Invalid emoji [Custom_Emoji_Error_Invalid_Emoji]", "errorType": "Custom_Emoji_Error_Invalid_Emoji", "details": { "method": "deleteEmojiCustom" } } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } } } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": "true", "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": "true", "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" } }, "responses": { "trueSuccess": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" } } }, "examples": { "Success": { "value": { "success": "true" } } } } } }, "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } } } } ````